### File

`packages/eui/packages/deprecated/ux-carousel-item/ux-carousel-items.component.ts`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `ux-carousel-items`
styleUrls | `./styles/_index.scss`
templateUrl | `./ux-carousel-items.component.html`

### Index

###### Properties

- animationState
- animationStop
- currentItem
- elRef
- items
- itemsArray
- itemsLength

###### Methods

- animationDone
- changeState
- goNext
- goPrevious
- gotoItem
- onKeyDown
- selectItem
- trackByFn

###### Inputs

- e2eAttr
- isShowSummaryIndicators

###### Outputs

- itemSelect

###### Accessors

- isShowSummaryIndicators
- isFirstItemActive
- isLastItemActive

### Constructor

`constructor(logService: LogService, focusMonitor: FocusMonitor, cdr: ChangeDetectorRef, ngZone: NgZone)`

Parameters :

Name | Type | Optional
logService | `LogService` | No
focusMonitor | `FocusMonitor` | No
cdr | `ChangeDetectorRef` | No
ngZone | `NgZone` | No

### Inputs

e2eAttr
Type : `string`
Default value : `'ux-carousel-items'`

isShowSummaryIndicators
Type : `boolean`

### Outputs

itemSelect
Type : `EventEmitter`

### Methods

animationDone
`animationDone($event: AnimationEvent)`

Parameters :

Name | Type | Optional
$event | `AnimationEvent` | No

Returns : `void`

changeState
`changeState(newState: string)`

Parameters :

Name | Type | Optional
newState | `string` | No

Returns : `void`

goNext
`goNext(event: UIEvent)`

Parameters :

Name | Type | Optional
event | `UIEvent` | No

Returns : `void`

goPrevious
`goPrevious(event: UIEvent)`

Parameters :

Name | Type | Optional
event | `UIEvent` | No

Returns : `void`

gotoItem
`gotoItem(itemIndex: number)`

Parameters :

Name | Type | Optional
itemIndex | `number` | No

Returns : `void`

onKeyDown
`onKeyDown(event: KeyboardEvent)`

Parameters :

Name | Type | Optional
event | `KeyboardEvent` | No

Returns : `void`

selectItem
`selectItem(item: UxCarouselItemComponent)`

Parameters :

Name | Type | Optional
item | `UxCarouselItemComponent` | No

Returns : `void`

trackByFn
`trackByFn(index: number, item: UxCarouselItemComponent)`

Parameters :

Name | Type | Optional
index | `number` | No
item | `UxCarouselItemComponent` | No

Returns : `number`

### Properties

animationState
Type : `string`
Default value : `'middle'`

animationStop
Default value : `false`

currentItem
Type : `number`
Default value : `0`

elRef
Type : `ElementRef<HTMLUListElement>`
Decorators : `@ViewChild('elRef', {static: true})`

items
Type : `QueryList<UxCarouselItemComponent>`
Decorators : `@ContentChildren(UxCarouselItemComponent, {descendants: true})`

itemsArray
Type : `Array<UxCarouselItemComponent>`
Default value : `[]`

itemsLength
Type : `number`
Default value : `0`

### Accessors

isShowSummaryIndicators
get `isShowSummaryIndicators()`
set `isShowSummaryIndicators(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

isFirstItemActive
get `isFirstItemActive()`

isLastItemActive
get `isLastItemActive()`

# results matching ""

# No results matching ""